package com.sikadi.user.controller;

import com.bwie.common.result.Result;
import com.sikadi.user.service.GTPService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * Gtp回答
 */
@RestController
public class GTPController {

    @Autowired
    private GTPService gtpService;




        /**
         * 发送问题
         *
         * @param ques 问题
         * @return 星火大模型的回答
         */
        @GetMapping("/send")
        public Result send(@RequestParam("ques") String ques) {
            String s = gtpService.send(ques);
            return Result.success(s);
        }




}
